//流程模块【oayfk.预付款申请单】下录入页面自定义js页面,初始函数
function initbodys(){
	    c.onselectdata['payee']=function(d){
        js.ajax(geturlact('getbankinfo'),{numb:d.value},function(ret){
           
               $(form('fkinfo')).find('option').remove();
            if(ret.length > 0){
               js.setselectdata(form('fkinfo'),ret,'value')
            } else {
                return '未找到银行信息,请到供应商/客户 补充银行信息';
            }
        },'post,json');
    }
}

function changesubmit(d){
    var subs = d.sub_totals0;
    var reg = new RegExp(/^[0-9a-zA-Z]+$/);
    for(i=0;i<subs;i++){
        var skey = 'receipt_id0_' + i;
        if(d[skey] != ''){
            if(!reg.test(d[skey])){
                return '第'+ (i+1) +'条费用明细,发票号只能填写英文字母与数字'
            }
        }
    }
}